backend:
  name: git-gateway
  branch: master # Branch to update (optional; defaults to master)

media_folder: "src/assets/images/blog" # Location where files will be stored in the repo
public_folder: "src/assets/images/blog" # The src attribute for uploaded medias

collections:
  - name: "blog" # Used in routes, e.g., /admin/collections/blog
    label: "Blog" # Used in the UI
    folder: "src/content/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Publish Date", name: "date", widget: "datetime" }
      - { label: "Cover Image", name: "cover", widget: "image" }
      - { label: "Authors", name: "authors", widget: "list", fields: [{ label: "Author", name: "author", widget: "string" }] }
      - { label: "Body", name: "body", widget: "markdown" }